Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1492668 - Incorrect audit type for partition tables
Summary: Incorrect audit type for partition tables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Audit Log
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 12:28 UTC by Oleksandr Shtaier
Modified: 2019-09-26 15:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:45:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (77.85 KB, image/png)
2017-10-05 07:06 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20708 0 None None None 2017-09-20 15:01:11 UTC
Red Hat Bugzilla 1426742 0 high CLOSED Cannot query most auditable_types in API 2021-06-10 11:58:50 UTC
Red Hat Bugzilla 1492696 0 unspecified CLOSED Search doesn't work for template type 2021-02-22 00:41:40 UTC

Internal Links: 1426742 1492696

Description Oleksandr Shtaier 2017-09-18 12:28:45 UTC
Description of problem:
When I create new partition table, audit logs treat it as 'Template' which is invalid type for that entity and consequently search for partition table entity type (type = partition_table) return none results

Version-Release number of selected component (if applicable):
6.3

How reproducible:
Always

Steps to Reproduce:
1. Create new partition table
2. Navigate to audit page and perform search for type = partition_table or do the same through API


Actual results:
Partition table treated as template

Expected results:
Partition table treated as partition table

Additional info:

Comment 6 Ivan Necas 2017-09-20 15:01:09 UTC
Connecting redmine issue http://projects.theforeman.org/issues/20708 from this bug

Comment 7 Nikhil Kathole 2017-10-05 07:05:52 UTC
Version Tested:
Satellite-6.3 Snap 18

steps:

1. Created a new partition table
2. Navigate to audit page and perform search for type = partition_table

No entries found while performing search for type = partition_table but type = ptable correctly shows partition table. (see attachment)

Is this correct behaviour?

Comment 8 Nikhil Kathole 2017-10-05 07:06:11 UTC
Created attachment 1334636 [details]
screenshot of UI

Comment 9 Marek Hulan 2017-10-10 09:49:40 UTC
yes, that's how it works, sadly that's the value we store in DB

at least it's listed among auto suggested values

Comment 10 Nikhil Kathole 2017-10-10 10:04:46 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 19

As per comment #9, To search partition table in audit, type = ptable should work.
Verified according to steps in comment #7.

Comment 11 Bryan Kearney 2018-02-21 16:41:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 12 Bryan Kearney 2018-02-21 16:45:42 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.